Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.graph
Interface GraphListener

All Known Subinterfaces:
  GraphEventManager

    public interface GraphListener

Interface for listening to graph-level update events. Each time the graph is poked to add or remove some triples, and after that poke has completed without throwing an exception, all the listeners attached to the Graph are informed about the poke.

Author:
  Jeremy Carroll, extensions by kers

Method Summary
`void` | `notifyAddArray(Graph g, Triple[] triples)` Method called when an array of triples has been added to the graph.
`void` | `notifyAddGraph(Graph g, Graph added)` Method called when another graph `g` has been used to specify the triples added to our attached graph.
`void` | `notifyAddIterator(Graph g, java.util.Iterator it)` Method called when an iterator [of triples] has been added to the graph
`void` | `notifyAddList(Graph g, java.util.List triples)` Method called when a list [of triples] has been added to the graph.
`void` | `notifyAddTriple(Graph g, Triple t)` Method called when a single triple has been added to the graph.
`void` | `notifyDeleteArray(Graph g, Triple[] triples)` Method called when an array of triples has been deleted from the graph.
`void` | `notifyDeleteGraph(Graph g, Graph removed)` Method to call when another graph has been used to specify the triples deleted from our attached graph.
`void` | `notifyDeleteIterator(Graph g, java.util.Iterator it)` Method called when an iterator [of triples] has been deleted from the graph.
`void` | `notifyDeleteList(Graph g, java.util.List L)` Method called when a list [of triples] has been deleted from the graph.
`void` | `notifyDeleteTriple(Graph g, Triple t)` Method called when a single triple has been deleted from the graph.
`void` | `notifyEvent(Graph source, java.lang.Object value)` method to call for a general event

Method Detail

### notifyAddTriple

    void notifyAddTriple(Graph g,
                         Triple t)

  Method called when a single triple has been added to the graph.

### notifyAddArray

    void notifyAddArray(Graph g,
                        Triple[] triples)

  Method called when an array of triples has been added to the graph.

### notifyAddList

    void notifyAddList(Graph g,
                       java.util.List triples)

  Method called when a list [of triples] has been added to the graph.

### notifyAddIterator

    void notifyAddIterator(Graph g,
                           java.util.Iterator it)

  Method called when an iterator [of triples] has been added to the graph

### notifyAddGraph

    void notifyAddGraph(Graph g,
                        Graph added)

  Method called when another graph `g` has been used to specify the triples added to our attached graph.

  Parameters:
    `g` - the graph of triples added

### notifyDeleteTriple

    void notifyDeleteTriple(Graph g,
                            Triple t)

  Method called when a single triple has been deleted from the graph.

### notifyDeleteList

    void notifyDeleteList(Graph g,
                          java.util.List L)

  Method called when a list [of triples] has been deleted from the graph.

### notifyDeleteArray

    void notifyDeleteArray(Graph g,
                           Triple[] triples)

  Method called when an array of triples has been deleted from the graph.

### notifyDeleteIterator

    void notifyDeleteIterator(Graph g,
                              java.util.Iterator it)

  Method called when an iterator [of triples] has been deleted from the graph.

### notifyDeleteGraph

    void notifyDeleteGraph(Graph g,
                           Graph removed)

  Method to call when another graph has been used to specify the triples deleted from our attached graph.

  Parameters:
    `g` - the graph of triples added

### notifyEvent

    void notifyEvent(Graph source,
                     java.lang.Object value)

  method to call for a general event

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP